export default {
  isPotion(entity) {
    return entity.typeId == "minecraft:splash_potion";
  },
  damageMainhand(player, damage) {
    const item = this.getMainhand(player);
    const durability = item?.getComponent("durability");

    if (!durability) return item;
    durability.damage += damage;
    return item;
  },
  getInventoryContainer(entity) {
    const { container } = entity.getComponent("inventory");
    return container;
  },
  getMainhand(player) {
    return this
      .getInventoryContainer(player)
      .getItem(player.selectedSlot);
  },
  calculateReduction(damage, damager, isProyectile = false) {
    if (!this.isPotion(damager) && isProyectile) return damage;
    return damage - (damage * 0.4);
  }
}
